;BEGIN FRAGMENT CODE - Do not edit anything between this and the end comment
;NEXT FRAGMENT INDEX 14
Scriptname QF_TGRDU_00015D24 Extends Quest Hidden

;BEGIN ALIAS PROPERTY WealthyHome
;ALIAS PROPERTY TYPE locationalias
locationalias Property Alias_WealthyHome Auto
;END ALIAS PROPERTY

;BEGIN ALIAS PROPERTY WeathyHomeChest
;ALIAS PROPERTY TYPE ReferenceAlias
ReferenceAlias Property Alias_WeathyHomeChest Auto
;END ALIAS PROPERTY

;BEGIN ALIAS PROPERTY VexAlias
;ALIAS PROPERTY TYPE ReferenceAlias
ReferenceAlias Property Alias_VexAlias Auto
;END ALIAS PROPERTY

;BEGIN ALIAS PROPERTY Evidence
;ALIAS PROPERTY TYPE ReferenceAlias
ReferenceAlias Property Alias_Evidence Auto
;END ALIAS PROPERTY

;BEGIN ALIAS PROPERTY Boss
;ALIAS PROPERTY TYPE ReferenceAlias
ReferenceAlias Property Alias_Boss Auto
;END ALIAS PROPERTY

;BEGIN ALIAS PROPERTY City
;ALIAS PROPERTY TYPE locationalias
locationalias Property Alias_City Auto
;END ALIAS PROPERTY

;BEGIN FRAGMENT Fragment_5
Function Fragment_5()
;BEGIN AUTOCAST TYPE TGRDUQuestScript
Quest __temp = self as Quest
TGRDUQuestScript kmyQuest = __temp as TGRDUQuestScript
;END AUTOCAST
;BEGIN CODE
;Finished Quest Without Fail Condition
CompleteAllObjectives()
Game.GetPlayer().AddItem(pReward,1)
pTGRMasterTotal.Value += 1
pTGREHQS.CheckCount()
pTGRShellScript.TGRadiantCount(Alias_City.GetLocation())

pQuestTrackerTGRDU.SetValue(1) ; indicate that this quest has been completed at least once

int currQuests = -1
float skillDivisor = 1.0
String rankID = ""
if (!Quest.GetQuest("TG03").IsCompleted())
	currQuests = 5
	if (Quest.GetQuest("C04").IsCompleted() || Quest.GetQuest("mg06").IsCompleted())
		currQuests = 30
	elseif (Quest.GetQuest("C03").IsCompleted() || Quest.GetQuest("MG04").IsCompleted())
		currQuests = 20
	elseif (Quest.GetQuest("C01").IsCompleted() || Quest.GetQuest("MG03").IsCompleted())
		currQuests = 10
	endif
	skillDivisor = 35.0
	rankID = "I"
elseif (!Quest.GetQuest("TG05").IsCompleted())
	currQuests = 15
	if (Quest.GetQuest("C04").IsCompleted() || Quest.GetQuest("mg06").IsCompleted())
		currQuests = 70
	elseif (Quest.GetQuest("C03").IsCompleted() || Quest.GetQuest("MG04").IsCompleted())
		currQuests = 40
	elseif (Quest.GetQuest("C01").IsCompleted() || Quest.GetQuest("MG03").IsCompleted())
		currQuests = 30
	endif
	skillDivisor = 60.0
	rankID = "II"
elseif (!Quest.GetQuest("TG07").IsCompleted())
	currQuests = 40
	if (Quest.GetQuest("C04").IsCompleted() || Quest.GetQuest("mg06").IsCompleted())
		currQuests = 145
	elseif (Quest.GetQuest("C03").IsCompleted() || Quest.GetQuest("MG04").IsCompleted())
		currQuests = 90
	elseif (Quest.GetQuest("C01").IsCompleted() || Quest.GetQuest("MG03").IsCompleted())
		currQuests = 80
	endif
	skillDivisor = 85.0
	rankID = "III"
endif

if (currQuests > 0)
	int loyaltyProgress = (100.0 * (pTGRMasterTotal.Value as float) / (currQuests as float)) as int
	float skill1 = Game.GetPlayer().GetBaseActorValue("Sneak") as float
	float skill2 = Game.GetPlayer().GetBaseActorValue("Lockpicking") as float
	float skill3 = Game.GetPlayer().GetBaseActorValue("Pickpocket") as float
	float maxSkill12 = (skill1 + skill2 + math.abs(skill1 - skill2)) / 2
	float maxSkill = (skill3 + maxSkill12 + math.abs(skill3 - maxSkill12)) / 2
	int skillProgress = (100.0 * maxSkill / skillDivisor) as int
	if (loyaltyProgress >= 100 && skillProgress >= 100)
		Debug.Notification("Thieves Guild Rank " + rankID + " Achieved!")
	else
		Debug.Notification("Quests to Next Rank: " + loyaltyProgress + "%")
		Debug.Notification("Skill to Next Rank: " + skillProgress + "%")
	endif
endif

Stop()
;END CODE
EndFunction
;END FRAGMENT

;BEGIN FRAGMENT Fragment_13
Function Fragment_13()
;BEGIN CODE
;Finished Quest With Fail Condition
Game.GetPlayer().RemoveItem(Alias_Evidence.GetRef())
FailAllObjectives()

pQuestTrackerTGRDU.SetValue(1) ; indicate that this quest has been failed at least once

Stop()
;END CODE
EndFunction
;END FRAGMENT

;BEGIN FRAGMENT Fragment_12
Function Fragment_12()
;BEGIN CODE
;Finished Quest With Fail Condition
FailAllObjectives()

pQuestTrackerTGRDU.SetValue(1) ; indicate that this quest has been failed at least once

Stop()
;END CODE
EndFunction
;END FRAGMENT

;BEGIN FRAGMENT Fragment_7
Function Fragment_7()
;BEGIN AUTOCAST TYPE TGRDUQuestScript
Quest __temp = self as Quest
TGRDUQuestScript kmyQuest = __temp as TGRDUQuestScript
;END AUTOCAST
;BEGIN CODE
FailAllObjectives()

pQuestTrackerTGRDU.SetValue(1) ; indicate that this quest has been failed at least once

Stop()
;END CODE
EndFunction
;END FRAGMENT

;BEGIN FRAGMENT Fragment_0
Function Fragment_0()
;BEGIN AUTOCAST TYPE TGRDUQuestScript
Quest __temp = self as Quest
TGRDUQuestScript kmyQuest = __temp as TGRDUQuestScript
;END AUTOCAST
;BEGIN CODE
;Quest Given by Vex
pTGRShellScript.pTGRVexRunning = 1
pTGRShellScript.pTGRDURun = 1
Game.GetPlayer().AddItem(Alias_Evidence.GetRef())
SetObjectiveDisplayed (10,1)
kmyQuest.pTGRQueueQuestScript.UpdateQueue(Alias_WealthyHome, TGWealthyHome)

if (pQuestTrackerTGRDU.GetValue() == 1)
	Game.IncrementStat("Thieves' Guild Quests Completed", 1) ;If the quest has previously been taken and completed/failed, stat is getting decremented here; correct by adding 1 to the stat
	Game.IncrementStat("Quests Completed", 1)
endif

SetStage(20)
;END CODE
EndFunction
;END FRAGMENT

;END FRAGMENT CODE - Do not edit anything between this and the begin comment

TGRShellScript Property pTGRShellScript  Auto

Keyword Property TGWealthyHome  Auto

GlobalVariable Property pQuestTrackerTGRDU  Auto

LeveledItem Property pReward  Auto

GlobalVariable Property pTGRMasterTotal  Auto
TGREnablerHandlerQuestScript Property pTGREHQS  Auto
